Page MenuHomePhabricator

Adjust the styling of excerpts inside bundled notifications
Closed, ResolvedPublic

Description

Expandable bundles (T114356), provide a compact version of the notification messages (T127813).
Some of those messages (Flow-post-reply, and Flowusertalk-post-reply) include an excerpt in their bundled version.

The excepts on those bundled notifications should be shown in grey (in the same way excerpts are shown in non-bundled notifications). According to the screenshot below, the above seems not to be the case. So adjusting the style may be needed.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterItalicize post excerpts inside bundles
mediawiki/extensions/Echo : masterUse body color (gray) for <em>s in bundle headers

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJul 11 2016, 4:45 PM

Change 299916 had a related patch set uploaded (by Catrope):
Italicize post excerpts inside bundles

https://gerrit.wikimedia.org/r/299916

Catrope claimed this task.Jul 20 2016, 1:16 AM
Catrope added a subscriber: Catrope.

The mockups in the description of T114356 show the excerpt as italicized, but not with a different text color AFAICT. For that reason my patch only adds italics; we can also change the text color if we want though.

SBisson added a subscriber: jmatazzoni.EditedJul 20 2016, 1:08 PM

See related conversation here: T127813#2454453

Quotes are problematic because we use text-overflow: ellipsis; to show as much content as possible on one line. When truncation happens, the closing quote is not shown.

Can we switch all excerpts in compact headers to italic with no quotes? This would apply to new-topic and post-reply.

Change 300685 had a related patch set uploaded (by Catrope):
Use body color (gray) for <em>s in bundle headers

https://gerrit.wikimedia.org/r/300685

My patches implement what Joe asked for the description of T141034: Reconsider styling of excerpts within bundles in light of fact that they have no close quote: it makes the excerpt italicized and gray and removes the quotes.

Should the same formatting be applied to flow[usertalk]-new-topic?

Should the same formatting be applied to flow[usertalk]-new-topic?

Maybe? In that case there isn't a mix of interface text and excerpts though. @Pginer-WMF , @jmatazzoni: thoughts?

Bundled replies have text excerpts and, accordingly, the text excerpts are now displayed grey (on both user-talk and watched Flow board pages).

When new topics are bundled they do not display text excerpts:

Should the same formatting be applied to flow[usertalk]-new-topic?

Maybe? In that case there isn't a mix of interface text and excerpts though. @Pginer-WMF , @jmatazzoni: thoughts?

I assume the question refers to the way topics are represented inside a bundle, such as "References" and "Translation not saved automatically" in the example below:

There I see the information as a list of the topics and although those were named by the user it feels less like quoting what the user said and more like a page/section title. So I won't apply the grey text style to those.

In addition, since those titles are provided without other text around them, I see no need for the quotes, and I'd be ok with removing them in this context.

jmatazzoni closed this task as Resolved.Oct 11 2016, 12:56 AM